import { User } from "@types";
type SignInProps = {
    email: string;
    hmac?: string;
};
interface ReturnProps {
    user: User | null;
    isLoading: boolean;
    error: string | null;
    signIn: (param?: SignInProps) => Promise<void>;
    signOut: () => void;
    refreshSession: () => {
        user: {
            email: any;
            stripeCustomer: any;
        } | null;
        tokenExpired: boolean;
    };
    sendSignInLinkToEmail: ({ email, redirectUrl }: {
        email: string;
        redirectUrl?: string;
    }) => Promise<void>;
}
declare const _default: () => ReturnProps;
export default _default;
export declare const setUserSessionFromURLParam: (sessionParam: any, dispatch: any) => any;
export declare const setUserSessionFromResponse: (res: any, dispatch: any) => any;
export declare const deleteUserSession: () => void;
export declare const getUserSession: () => {
    user: null;
    tokenExpired: boolean;
} | {
    user: {
        email: any;
        stripeCustomer: any;
    };
    tokenExpired: boolean;
};
export declare const getSession: () => any;
